#!/bin/sh
set -e

PACKAGE=$(dpkg-parsechangelog -S Source)
VERSION=$2
DIR=${PACKAGE}-${VERSION}
TAR=../${PACKAGE}_${VERSION}.orig.tar.xz

git clone --branch jsonp-${VERSION} git://java.net/jsonp~git $DIR

rm $3
XZ_OPT=--best tar -c -v -J -f $TAR \
    --exclude '*.git' \
    --exclude '*.gitignore' \
    $DIR
rm -Rf $DIR
